/* make sure we have an SVG mask for each and every icon we use */

/* clock (for read time) */
.lucide-clock::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Ccircle cx='12' cy='12' r='10'/%3E%3Cpolyline points='12 6 12 12 16 14'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* External links */
.lucide-external-link::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='M15 3h6v6'/%3E%3Cpath d='M10 14 21 3'/%3E%3Cpath d='M18 13v6a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h6'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* Dialogue + theologies icons */
/* message-circle */
a#block_show_full_dialogue::before a[class*=" edit-t--"]::before,
.lucide-message-circle::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='M7.9 20A9 9 0 1 0 4 16.1L2 22Z'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* Disciplines */
/* users / social sciences */
a[data-drupal-facet-item-id="d-22"]::before,
.lucide-users::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='M16 21v-2a4 4 0 0 0-4-4H6a4 4 0 0 0-4 4v2'/%3E%3Ccircle cx='9' cy='7' r='4'/%3E%3Cpath d='M22 21v-2a4 4 0 0 0-3-3.87'/%3E%3Cpath d='M16 3.13a4 4 0 0 1 0 7.75'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* theology + TB Preview / book-open */
h3#h3-theology-brief-preview::before,
a[data-drupal-facet-item-id="d-13"]::before,
.lucide-book-open::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='M2 3h6a4 4 0 0 1 4 4v14a3 3 0 0 0-3-3H2z'/%3E%3Cpath d='M22 3h-6a4 4 0 0 0-4 4v14a3 3 0 0 1 3-3h7z'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* business / briefcase */
a[data-drupal-facet-item-id="d-12"]::before,
.lucide-briefcase::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Crect width='20' height='14' x='2' y='7' rx='2' ry='2'/%3E%3Cpath d='M16 21V5a2 2 0 0 0-2-2h-4a2 2 0 0 0-2 2v16'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* public health + medicine/ stethoscope */
a[data-drupal-facet-item-id="d-21"]::before,
a[data-drupal-facet-item-id="d-18"]::before,
.lucide-stethoscope::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='M4.8 2.3A.3.3 0 1 0 5 2H4a2 2 0 0 0-2 2v5a6 6 0 0 0 6 6v0a6 6 0 0 0 6-6V4a2 2 0 0 0-2-2h-1a.2.2 0 1 0 .3.3'/%3E%3Cpath d='M8 15v1a6 6 0 0 0 6 6v0a6 6 0 0 0 6-6v-4'/%3E%3Ccircle cx='20' cy='10' r='2'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* engineering / hammer */
a[data-drupal-facet-item-id="d-15"]::before,
.lucide-hammer::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='m15 12-8.373 8.373a1 1 0 1 1-3-3L12 9'/%3E%3Cpath d='m18 15 4-4'/%3E%3Cpath d='m21.5 11.5-1.914-1.914A2 2 0 0 1 19 8.172V7l-2.26-2.26a6 6 0 0 0-4.202-1.756L9 2.96l.92.82A6.18 6.18 0 0 1 12 8.4V10l2 2h1.172a2 2 0 0 1 1.414.586L18.5 14.5'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* education / graduation-cap */
a[data-drupal-facet-item-id="d-14"]::before,
.lucide-graduation-cap::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='M21.42 10.922a1 1 0 0 0-.019-1.838L12.83 5.18a2 2 0 0 0-1.66 0L2.6 9.08a1 1 0 0 0 0 1.832l8.57 3.908a2 2 0 0 0 1.66 0z'/%3E%3Cpath d='M22 10v6'/%3E%3Cpath d='M6 12.5V16a6 3 0 0 0 12 0v-3.5'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* public policy / landmark */
a[data-drupal-facet-item-id="d-20"]::before,
.lucide-landmark::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cline x1='3' x2='21' y1='22' y2='22'/%3E%3Cline x1='6' x2='6' y1='18' y2='11'/%3E%3Cline x1='10' x2='10' y1='18' y2='11'/%3E%3Cline x1='14' x2='14' y1='18' y2='11'/%3E%3Cline x1='18' x2='18' y1='18' y2='11'/%3E%3Cpolygon points='12 2 20 7 4 7'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* law / scale */
a[data-drupal-facet-item-id="d-17"]::before,
.lucide-scale::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='m16 16 3-8 3 8c-.87.65-1.92 1-3 1s-2.13-.35-3-1z'/%3E%3Cpath d='m2 16 3-8 3 8c-.87.65-1.92 1-3 1s-2.13-.35-3-1z'/%3E%3Cpath d='M7 21H17'/%3E%3Cpath d='M12 21V7'/%3E%3Cpath d='M3 7h4c2.76 0 5-2.24 5-5'/%3E%3Cpath d='M17 7h4'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* architecture / building-2 */
a[data-drupal-facet-item-id="d-10"]::before,
.lucide-building-2::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='M6 22V4a2 2 0 0 1 2-2h8a2 2 0 0 1 2 2v18Z'/%3E%3Cpath d='M6 12H4a2 2 0 0 0-2 2v6a2 2 0 0 0 2 2h2'/%3E%3Cpath d='M18 9h2a2 2 0 0 1 2 2v9a2 2 0 0 1-2 2h-2'/%3E%3Cpath d='M10 6h4'/%3E%3Cpath d='M10 10h4'/%3E%3Cpath d='M10 14h4'/%3E%3Cpath d='M10 18h4'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* Agriculture / trees */
a[data-drupal-facet-item-id="d-9"]::before,
.lucide-trees::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='M10 10v.2A3 3 0 0 1 8.9 16H5a3 3 0 0 1-1-5.8V10a3 3 0 0 1 6 0Z'/%3E%3Cpath d='M7 16v6'/%3E%3Cpath d='M13 19v3'/%3E%3Cpath d='M12 19h8.3a1 1 0 0 0 .7-1.7L18 14h.3a1 1 0 0 0 .7-1.7L16 9h.2a1 1 0 0 0 .8-1.7L13 3l-1.4 1.5'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* humanities / library-big */
a[data-drupal-facet-item-id="d-16"]::before,
.lucide-library-big::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Crect width='8' height='18' x='3' y='3' rx='1'/%3E%3Cpath d='M7 3v18'/%3E%3Cpath d='M20.4 18.9c.2.5-.1 1.1-.6 1.3l-1.9.7c-.5.2-1.1-.1-1.3-.6L11.1 5.1c-.2-.5.1-1.1.6-1.3l1.9-.7c.5-.2 1.1.1 1.3.6Z'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* phys et bio / atom */
a[data-drupal-facet-item-id="d-19"]::before,
.lucide-atom::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Ccircle cx='12' cy='12' r='1'/%3E%3Cpath d='M20.2 20.2c2.04-2.03.02-7.36-4.5-11.9-4.54-4.52-9.87-6.54-11.9-4.5-2.04 2.03-.02 7.36 4.5 11.9 4.54 4.52 9.87 6.54 11.9 4.5Z'/%3E%3Cpath d='M15.7 15.7c4.52-4.54 6.54-9.87 4.5-11.9-2.03-2.04-7.36-.02-11.9 4.5-4.52 4.54-6.54 9.87-4.5 11.9 2.03 2.04 7.36.02 11.9-4.5Z'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* Fine and performing arts / palette */
a[data-drupal-facet-item-id="d-23"]::before,
.lucide-palette::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Ccircle cx='13.5' cy='6.5' r='.5' fill='currentColor'/%3E%3Ccircle cx='17.5' cy='10.5' r='.5' fill='currentColor'/%3E%3Ccircle cx='8.5' cy='7.5' r='.5' fill='currentColor'/%3E%3Ccircle cx='6.5' cy='12.5' r='.5' fill='currentColor'/%3E%3Cpath d='M12 2C6.5 2 2 6.5 2 12s4.5 10 10 10c.926 0 1.648-.746 1.648-1.688 0-.437-.18-.835-.437-1.125-.29-.289-.438-.652-.438-1.125a1.64 1.64 0 0 1 1.668-1.668h1.996c3.051 0 5.555-2.503 5.555-5.554C21.965 6.012 17.461 2 12 2z'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* Contribution Types */
/* disciplinary-briefs / files */
h3#h3-disciplinary-brief::before,
.lucide-files::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='M20 7h-3a2 2 0 0 1-2-2V2'/%3E%3Cpath d='M9 18a2 2 0 0 1-2-2V4a2 2 0 0 1 2-2h7l4 4v10a2 2 0 0 1-2 2Z'/%3E%3Cpath d='M3 7.6v12.8A1.6 1.6 0 0 0 4.6 22h9.8'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* preview response / message-square */
h3#h3-preview-response::before,
.lucide-message-square::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='M21 15a2 2 0 0 1-2 2H7l-4 4V5a2 2 0 0 1 2-2h14a2 2 0 0 1 2 2z'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* theology brief / scroll */
h3#h3-theology-brief::before,
.lucide-scroll::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='M19 17V5a2 2 0 0 0-2-2H4'/%3E%3Cpath d='M8 21h12a2 2 0 0 0 2-2v-1a1 1 0 0 0-1-1H11a1 1 0 0 0-1 1v1a2 2 0 1 1-4 0V5a2 2 0 1 0-4 0v2a1 1 0 0 0 1 1h3'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* disciplinary-note / file-text */
h3#h3-disciplinary-note::before,
.lucide-file-text::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='M15 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V7Z'/%3E%3Cpath d='M14 2v4a2 2 0 0 0 2 2h4'/%3E%3Cpath d='M10 9H8'/%3E%3Cpath d='M16 13H8'/%3E%3Cpath d='M16 17H8'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* TB postscript / circle-check-big */
h3#h3-theology-brief-postscript::before,
.lucide-circle-check-big::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='M21.801 10A10 10 0 1 1 17 3.335'/%3E%3Cpath d='m9 11 3 3L22 4'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* Other menu icons */
/* pdf Download / download */
.lucide-download::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='M21 15v4a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-4'/%3E%3Cpolyline points='7 10 12 15 17 10'/%3E%3Cline x1='12' x2='12' y1='15' y2='3'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* show full dialogue / network */
.lucide-network::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Crect x='16' y='16' width='6' height='6' rx='1'/%3E%3Crect x='2' y='16' width='6' height='6' rx='1'/%3E%3Crect x='9' y='2' width='6' height='6' rx='1'/%3E%3Cpath d='M5 16v-3a1 1 0 0 1 1-1h12a1 1 0 0 1 1 1v3'/%3E%3Cpath d='M12 12V8'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* arrow-left */
.lucide-arrow-left::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='M19 12H5'/%3E%3Cpath d='m12 19-7-7 7-7'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}

/* arrow-right */
.lucide-arrow-right::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  padding-right: 0.5rem;
  background-color: currentColor;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='M5 12h14'/%3E%3Cpath d='m12 5 7 7-7 7'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
  mask-size: contain;
}
